Summary:	xfwp application - X firewall proxy
Summary(pl.UTF-8):	Aplikacja xfwp - proxy X dla firewalli
Name:		xorg-app-xfwp
Version:	1.0.3
Release:	2
License:	MIT
Group:		X11/Applications
Source0:	http://xorg.freedesktop.org/releases/individual/app/xfwp-%{version}.tar.bz2
# Source0-md5:	73512e16b04ed156d45124d4c75fa533
Patch0:		%{name}-ac.patch
URL:		http://xorg.freedesktop.org/
BuildRequires:	autoconf >= 2.60
BuildRequires:	automake
BuildRequires:	pkgconfig >= 1:0.19
BuildRequires:	xorg-lib-libICE-devel
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-xtrans-devel
BuildRequires:	xorg-proto-xproxymanagementprotocol-devel
BuildRequires:	xorg-util-util-macros >= 1.8
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The X firewall proxy (xfwp) is an application layer gateway proxy
that may be run on a network firewall host to forward X traffic
across the firewall. Used in conjunction with the X server Security
extension and authorization checking, xfwp constitutes a safe, simple,
and reliable mechanism both to hide the addresses of X servers located
on the Intranet and to enforce a server connection policy. xfwp cannot
protect against mischief originating on the Intranet; however, when
properly configured it can guarantee that only trusted clients
originating on authorized external Internet hosts will be allowed
inbound access to local X servers.

%description -l pl.UTF-8
xfwp (X firewall proxy) to bramka proxy w warstwie aplikacyjnej, którą
można uruchomić na komputerze będącym firewallem sieciowym w celu
przekazywania ruchu X poprzez zaporę. W połączeniu z rozszerzeniem
Security serwera X oraz sprawdzaniem autoryzacji xfwp tworzy
bezpieczny, prosty i niezawodny mechanizm zarówno do ukrywania adresów
serwerów X położonych w intranecie, jak i wymuszania polityki
bezpieczeństwa. xfwp nie może zabezpieczyć przed szkodami z wewnątrz
intranetu, ale odpowiednio skonfigurowany może zagwarantować, że tylko
zaufani klienci łączący się z autoryzowanych komputerów w Internecie
będą mogli połączyć się z lokalnymi serwerami X.

%prep
%setup -q -n xfwp-%{version}
%patch0 -p1

%build
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING ChangeLog README
%attr(755,root,root) %{_bindir}/xfwp
%{_mandir}/man1/xfwp.1*
%changelog
* Thu May 14 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorg-app-xfwp.git;a=log;h=master

* Sat May 02 2015 Jan Rękorajski <baggins@pld-linux.org> 4ac23ae
- x32 rebuild
- release 2 (by relup.sh)

* Tue Aug 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 9df2c6a
- added ac patch (fixes _XOPEN_SOURCE flag)

* Tue Aug 06 2013 Jakub Bogusz <qboosh@pld-linux.org> eb7c25a
- fixed build without xman suffix

* Tue Aug 06 2013 Jakub Bogusz <qboosh@pld-linux.org> 790371b
- updated to 1.0.3

* Sat Jan 29 2011 sparky <sparky@pld-linux.org> 7a9ffaf
- dropped pre-cvs changelog

* Mon Jan 10 2011 Jakub Bogusz <qboosh@pld-linux.org> 9f77818
- real descriptions
- updated BRs

* Mon Jan 10 2011 Caleb Maclennan <caleb@alerque.com> 0b86ec3
- Up to 1.0.2

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 1717ef7
- release 2

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> da68ec5
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2281ae3
- converted to UTF-8

* Sun Oct 15 2006 Jakub Bogusz <qboosh@pld-linux.org> f6d1b59
- use individual dir, more verbose files, release 1

* Thu Jan 12 2006 Jakub Bogusz <qboosh@pld-linux.org> 1416133
- 1.0.1 (X11R7.0 release)

* Fri Dec 09 2005 Jakub Bogusz <qboosh@pld-linux.org> 4e9960e
- 0.99.2 (X11R7.0-RC3)

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> 121e18e
- pkgconfig epoch

* Sat Oct 22 2005 Jakub Bogusz <qboosh@pld-linux.org> d21ba6c
- 0.99.1 (X11R7.0-RC1)
- removed outdated man patch

* Sat Aug 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 39e4352
- sorted BRs

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 5b7b0d7
- standard permisions to binaries

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 53fe0c9
- cleanups, kill /usr/X11R6

* Sat Aug 27 2005 Artur Frysiak <artur@frysiak.net> 1c2cb3a
- s/pkg-config/pkgconfig/ in BR:

* Mon Aug 15 2005 Arkadiusz Miśkiewicz <arekm@maven.pl> ac27ef5
- modular xorg specs

